Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Defines | Typedefs
kchashdb.h File Reference

file hash database More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcthread.h>`
`#include <kcfile.h>`
`#include <kccompress.h>`
`#include <kccompare.h>`
`#include <kcmap.h>`
`#include <kcregex.h>`
`#include <kcdb.h>`
`#include <kcplantdb.h>`

## Classes

class | kyotocabinet::HashDB
| File hash database. More...
class | kyotocabinet::HashDB::Cursor
| Cursor to indicate a record. More...
struct | kyotocabinet::HashDB::Record
| Record data.
struct | kyotocabinet::HashDB::FreeBlock
| Free block data.
struct | kyotocabinet::HashDB::FreeBlockComparator
| Comparator for free blocks.
class | kyotocabinet::HashDB::Repeater
| Repeating visitor.
class | kyotocabinet::HashDB::ScopedVisitor
| Scoped visitor.

## Namespaces

namespace | kyotocabinet
| All symbols of Kyoto Cabinet.

## Defines

#define | KCHDBMAGICDATA "KC\n"
| magic data of the file
#define | KCHDBCHKSUMSEED "__kyotocabinet__"
| seed of the module checksum
#define | KCHDBTMPPATHEXT "tmpkch"
| extension of the temporary file

## Typedefs

typedef PlantDB< HashDB, BasicDB::TYPETREE > | kyotocabinet::TreeDB
| An alias of the file tree database.

## Detailed Description

file hash database

## Define Documentation

#define KCHDBMAGICDATA "KC\n"

magic data of the file

#define KCHDBCHKSUMSEED "__kyotocabinet__"

seed of the module checksum

#define KCHDBTMPPATHEXT "tmpkch"

extension of the temporary file